# https://codeload.github.com/balloob/pychromecast/tar.gz/2.2.0
%global with_tests 0
%global _desc Library for Python 2 and 3 to communicate with the Google Chromecast. It \
currently supports: \
\
-  Auto discovering connected Chromecasts on the network \
-  Start the default media receiver and play any online media \
-  Control playback of current playing media \
-  Implement Google Chromecast api v2 \
-  Communicate with apps via channels \
-  Easily extendable to add support for unsupported namespaces \
-  Multi-room setups with Audio cast devices

Name:             pychromecast
Version:          2.2.0
Release:          %mkrel 1
Summary:          Python library to communicate with the Google Chromecast

Group:            Development/Python
License:          MIT
URL:              https://github.com/balloob/pychromecast
Source0:          %{name}-%{version}.tar.xz

BuildArch: noarch
BuildRequires:    python-devel
BuildRequires:    python-setuptools
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
%if 0%{?with_tests}
BuildRequires:    python-six
BuildRequires:    python-netifaces
BuildRequires:    python-zeroconf
BuildRequires:    python-protobuf
BuildRequires:    python3-six
BuildRequires:    python3-netifaces
BuildRequires:    python3-zeroconf
BuildRequires:    python3-protobuf
%endif

%description
%{summary}.

%package -n python-chromecast
Summary:          Library for Python 2 and 3 to communicate with the Google Chromecast
Group:            Development/Python
Requires:         python-six
Requires:         python-requests
Requires:         python-zeroconf
Requires:         python-protobuf

%description -n python-chromecast
%{_desc}

%package -n python3-chromecast
Summary:          Library for Python 3 to communicate with the Google Chromecast
Group:            Development/Python
Requires:         python3-six
Requires:         python3-requests
Requires:         python3-zeroconf
Requires:         python3-protobuf

%description -n python3-chromecast
%{_desc}

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%check
%if %{with_tests}
%{__python2} setup.py test
%{__python3} setup.py test
%endif

%files -n python-chromecast
%doc LICENSE README.rst
%{python_sitelib}/*

%files -n python3-chromecast
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Thu Jul 03 2018 adrianomorselli <adrianomorselli> 2.2.0-1uplos2018
- update
